Bug 201795 - Documentation of yum should not unnecessarily use root privileges
Documentation of yum should not unnecessarily use root privileges
Product: Fedora Documentation
Classification: Fedora
Component: software-management-guide (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: eric@christensenplace.us
Paul W. Frields
Depends On:
  Show dependency treegraph
Reported: 2006-08-08 17:20 EDT by Michael Kallas
Modified: 2008-01-16 11:07 EST (History)
1 user (show)

See Also:
Fixed In Version: Wiki
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-16 11:07:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Kallas 2006-08-08 17:20:41 EDT
Description of problem:
In chapter 5 of "Managing Software with yum", for searching several times root
privileges are used. This is unnecessary and should be avoided, I think.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:
For example: su -c 'yum list tsclient'

Expected results:
yum list tsclient

Additional info:
Comment 1 Seth Vidal 2008-01-15 11:03:03 EST
umm. Why did I get added to this bug?
Comment 2 eric@christensenplace.us 2008-01-15 11:17:49 EST
Not sure how you were added.  I added myself...  Removing you.
Comment 3 Karsten Wade 2008-01-15 11:24:59 EST
reassigning to an active contributor

suggested fixes make sense, represent 'best practices', thanks for the suggestion
Comment 4 eric@christensenplace.us 2008-01-16 11:07:53 EST
The older "Docs" file has been superseded by the Wiki Draft version.  I have
verified that the Wiki version does contain best practices for using yum.

Note You need to log in before you can comment on or make changes to this bug.